%define upstream_name    Array-Compare
%define upstream_version 3.0.8

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for comparing arrays
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Array/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Types::Standard)
BuildArch:  noarch

%description 
If you have two arrays and you want to know if they are the same or different,
then Array::Compare will be useful to you.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Array
%{_mandir}/*/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 3.0.8-2.mga9
+ Revision: 1820446
- Mageia 9 Mass Rebuild

* Mon Dec 28 2020 tv <tv> 3.0.8-1.mga8
+ Revision: 1664343
- update to v3.0.8

* Mon Dec 07 2020 tv <tv> 3.0.7-1.mga8
+ Revision: 1654086
- update to v3.0.7

* Sun Feb 16 2020 umeabot <umeabot> 3.0.3-2.mga8
+ Revision: 1530333
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 3.0.3-1.mga8
+ Revision: 1434748
- update to v3.0.3

* Sat Dec 15 2018 tv <tv> 3.0.2-1.mga7
+ Revision: 1341351
- update to v3.0.2

* Thu Sep 20 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1281779
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 3.0.1-1.mga7
+ Revision: 1216724
- Update to version 3.0.1

* Mon Oct 02 2017 tv <tv> 3.0.0-2.mga7
+ Revision: 1163129
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 3.0.0-1.mga7
+ Revision: 1156265
- new version 3.0.0

* Sat Jun 18 2016 pterjan <pterjan> 2.110.0-3.mga6
+ Revision: 1022570
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.110.0-2.mga6
+ Revision: 966991
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 2.110.0-1.mga6
+ Revision: 847909
- update to 2.11

* Sun Oct 19 2014 umeabot <umeabot> 2.20.0-6.mga5
+ Revision: 790109
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.20.0-5.mga5
+ Revision: 741382
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20.0-4.mga5
+ Revision: 683543
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.20.0-3.mga4
+ Revision: 509194
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-2.mga3
+ Revision: 363138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 kharec <kharec> 2.20.0-1.mga2
+ Revision: 182550
- update to 2.02

* Thu Jan 20 2011 jquelin <jquelin> 2.10.0-1.mga1
+ Revision: 25648
- fix specs
- imported package perl-Array-Compare


* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 2.10.0-1mdv2010.0
+ Revision: 422839
- changing buildrequires:
- adding missing buildrequires:
- update to 2.01

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.170.0-1mdv2010.0
+ Revision: 402979
- rebuild using %%perl_convert_version

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2009.1
+ Revision: 320422
- update to new version 1.17

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2009.0
+ Revision: 230267
- update to new version 1.16

* Fri Mar 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2009.0
+ Revision: 181154
- update to new version 1.15

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.14-2mdv2008.1
+ Revision: 180366
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.14-1mdv2008.0
+ Revision: 19246
-New version


* Mon Apr 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-2mdk
- spec cleanup
- drop useless buildrequires
- better source URL
- better buildrequires syntax

* Mon Oct 03 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.13-1mdk
- New release 1.13

* Mon Aug 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-2mdk
- perl-Test-Pod is not mandatory for building

* Wed Mar 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.12-1mdk
- 1.12

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.11-2mdk
- fix buildrequires in a backward compatible way

* Thu Nov 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.11-1mdk 
- new version
- rpmbuildupdate aware

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.09-2mdk 
- fix directory ownership (distlint)

* Mon Mar 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.09-1mdk
- first mdk release

